package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/2/5 15:51
 * @version: V1.0
 **/
@Data
@ToString
public class OnlineDriverHailingRequestObject implements Serializable {
    private static final long serialVersionUID = -5828807945356392963L;

    @ApiModelProperty(name = "司机姓名", required = true)
    @NotNull
    private String name;

    @ApiModelProperty(name = "身份证", required = true)
    @NotNull
    private String idCode;

    @ApiModelProperty(name = "月份", required = true)
    @NotNull
    private String month;
}
